Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Apr 2021 14:04:04 -0500

Gregory Heytings <[email-masked]> writes:

>> Eli is correct, 0.25 is far too long.  0.1 is much better.
>>
>
> He said 0.5 is too long, I tried 0.1, and find it too short to be noticed,
> so I tried 0.25, which seems okay from my point of view.

Hmm, I find the flashing effect to be noticeable even with 0.03 or 0.05,
but I did also change the colour to red which is more visible to my
eyes.  But yes, we can't go too low.

I suggest just using the same value as with the old visible bell,
whatever that may be.

>> In comparison with the old GNU/Linux behavior, your patch is basically
>> as good or better.  However, with your patch I have to wait until the
>> flashing is over to read the text at the bottom.  This was not the case
>> previously.  I think that would need to be fixed.
>
> It's just a quick proof of concept, perhaps it's possible to do something
> better, I'll try to do that if there's an agreement that it's a good
> starting point.

Sounds good, thanks for your work here.

> That being said, I'd be surprised if you can move your
> eye from point to the echo area in less than 0.25 seconds.  What you
> describe is annoying only if you already look at the echo area to see the
> error.

I don't know which if any eye-movement was or wasn't involved as I
didn't carry out this experiment with any scientific rigor.  ;-)

So I can only tell you my experiences.  With your patch I found myself
having to wait to see the text at the bottom, which was frustrating when
I expected to see it immediately.  This was the case also with a 0.1
second delay: I saw first a block of red text before the text popped up.